summaryrefslogtreecommitdiffstats
path: root/deps/virtuoso-ose/virtuoso-ose.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:03:24 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:03:24 +0100
commit270c1ba7053478dbd1c632eea18d6e54d51e4ecc (patch)
tree4e25b7466faf321a1a1fe7e90ce182afdd5ef9dd /deps/virtuoso-ose/virtuoso-ose.SlackBuild
parent290362d91d840ad6feed5b59191a058f5e998d3c (diff)
downloadktown-270c1ba7053478dbd1c632eea18d6e54d51e4ecc.tar.gz
ktown-270c1ba7053478dbd1c632eea18d6e54d51e4ecc.tar.xz
KDE 4.7.4 for Slackware 13.37 (06dec2011)4.7.4
Diffstat (limited to 'deps/virtuoso-ose/virtuoso-ose.SlackBuild')
-rwxr-xr-xdeps/virtuoso-ose/virtuoso-ose.SlackBuild11
1 files changed, 8 insertions, 3 deletions
diff --git a/deps/virtuoso-ose/virtuoso-ose.SlackBuild b/deps/virtuoso-ose/virtuoso-ose.SlackBuild
index 5dd4fe5..9cbe778 100755
--- a/deps/virtuoso-ose/virtuoso-ose.SlackBuild
+++ b/deps/virtuoso-ose/virtuoso-ose.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2009, 2010 Eric Hameleers, Eindhoven, NL
-# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=virtuoso-opensource
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -61,6 +61,11 @@ cd $TMP
rm -rf virtuoso-opensource-$VERSION
tar xvf $CWD/virtuoso-opensource-$VERSION.tar.xz || exit 1
cd virtuoso-opensource-$VERSION || exit 1
+
+# Apply a patch that fixes Unicode issue as described here:
+# https://bugs.kde.org/show_bug.cgi?id=271664
+cat $CWD/virtuoso-opensource-6.1.3.unicode.patch | patch -p0 --verbose || exit
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \